質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

87.92%

gem install mysqlがうまくいかない

受付中

回答 1

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 940

score 24

出力されたエラー

[@@@@] 21:09:03 ~ $gem install mysql
Building native extensions. This could take a while...
ERROR:  Error installing mysql:
    ERROR: Failed to build gem native extension.

    current directory: /Users/yonamineakio/.rbenv/versions/2.6.3/lib/ruby/gems/2.6.0/gems/mysql-2.9.1/ext/mysql_api
/Users/yonamineakio/.rbenv/versions/2.6.3/bin/ruby -I /Users/yonamineakio/.rbenv/versions/2.6.3/lib/ruby/2.6.0 -r ./siteconf20190520-63085-47eqd6.rb extconf.rb
checking for mysql_ssl_set()... *** extconf.rb failed ***
Could not create Makefile due to some reason, probably lack of necessary
libraries and/or headers.  Check the mkmf.log file for more details.  You may
need configuration options.

Provided configuration options:
    --with-opt-dir
    --without-opt-dir
    --with-opt-include
    --without-opt-include=${opt-dir}/include
    --with-opt-lib
    --without-opt-lib=${opt-dir}/lib
    --with-make-prog
    --without-make-prog
    --srcdir=.
    --curdir
    --ruby=/Users/yonamineakio/.rbenv/versions/2.6.3/bin/$(RUBY_BASE_NAME)
    --with-mysql-config
    --without-mysql-config
/Users/yonamineakio/.rbenv/versions/2.6.3/lib/ruby/2.6.0/mkmf.rb:467:in `try_do': The compiler failed to generate an executable file. (RuntimeError)
You have to install development tools first.
    from /Users/yonamineakio/.rbenv/versions/2.6.3/lib/ruby/2.6.0/mkmf.rb:552:in `try_link0'
    from /Users/yonamineakio/.rbenv/versions/2.6.3/lib/ruby/2.6.0/mkmf.rb:570:in `try_link'
    from /Users/yonamineakio/.rbenv/versions/2.6.3/lib/ruby/2.6.0/mkmf.rb:782:in `try_func'
    from /Users/yonamineakio/.rbenv/versions/2.6.3/lib/ruby/2.6.0/mkmf.rb:1069:in `block in have_func'
    from /Users/yonamineakio/.rbenv/versions/2.6.3/lib/ruby/2.6.0/mkmf.rb:959:in `block in checking_for'
    from /Users/yonamineakio/.rbenv/versions/2.6.3/lib/ruby/2.6.0/mkmf.rb:361:in `block (2 levels) in postpone'
    from /Users/yonamineakio/.rbenv/versions/2.6.3/lib/ruby/2.6.0/mkmf.rb:331:in `open'
    from /Users/yonamineakio/.rbenv/versions/2.6.3/lib/ruby/2.6.0/mkmf.rb:361:in `block in postpone'
    from /Users/yonamineakio/.rbenv/versions/2.6.3/lib/ruby/2.6.0/mkmf.rb:331:in `open'
    from /Users/yonamineakio/.rbenv/versions/2.6.3/lib/ruby/2.6.0/mkmf.rb:357:in `postpone'
    from /Users/yonamineakio/.rbenv/versions/2.6.3/lib/ruby/2.6.0/mkmf.rb:958:in `checking_for'
    from /Users/yonamineakio/.rbenv/versions/2.6.3/lib/ruby/2.6.0/mkmf.rb:1068:in `have_func'
    from extconf.rb:45:in `<main>'

To see why this extension failed to compile, please check the mkmf.log which can be found here:

  /Users/yonamineakio/.rbenv/versions/2.6.3/lib/ruby/gems/2.6.0/extensions/x86_64-darwin-18/2.6.0-static/mysql-2.9.1/mkmf.log

extconf failed, exit code 1

Gem files will remain installed in /Users/yonamineakio/.rbenv/versions/2.6.3/lib/ruby/gems/2.6.0/gems/mysql-2.9.1 for inspection.
Results logged to /Users/yonamineakio/.rbenv/versions/2.6.3/lib/ruby/gems/2.6.0/extensions/x86_64-darwin-18/2.6.0-static/mysql-2.9.1/gem_make.out


ruby, rbenvのヴァージョン

ruby 2.6.3p62 (2019-04-16 revision 67580) [x86_64-darwin18]

rbenv 1.1.2

私の使っているmacの情報
macOS Mojave
version 10.14.4(18E226)

mysqlのversion

mysql  Ver 8.0.12 for osx10.13 on x86_64 (Homebrew)

これまでのプロセス

色々調べて、$ sudo yum -y install mysql-develでmysql-develをインストールすれば解決するかもと思ったので、実行したら"-bash: yum: command not found"と出力されました。
また調べたらyumはlinuxでは使えないといった情報が散見されたので、もうお手上げです。

最後に

どなたかこのエラーの解決方法をわかる方ご教授頂けたら幸いです。
また足りない情報がございましたらなんなりとお申し付けください。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

0

yumは、Redhat Enterprize LinuxやCentOSのライブラリ管理コマンドです。

それ以外のLinuxやUnixだと、そのOSに応じたライブラリ管理コマンドで、欠けているライブラリをインストールします。
何が欠けているのかは、下記を参考にすれば分かるかと。

To see why this extension failed to compile, please check the mkmf.log which can be found here:

  /Users/yonamineakio/.rbenv/versions/2.6.3/lib/ruby/gems/2.6.0/extensions/x86_64-darwin-18/2.6.0-static/mysql-2.9.1/mkmf.log

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 87.92%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る